Subject: [bug#54375] Mutable guix shell environments

From: Charles <[email-masked]>
Date: Mon, 14 Mar 2022 06:24:57 +0000

> What if instead of just "a package" I wanted to add or remove a package that defines a search path

As with ~/.guix-profile, you will have to . "$GUIX_PROFILE/etc/profile" just like the hint says. For removing, they linger, that is exactly what the default profile does too.

This comes down to us disagreeing which is more important & useful: guix shell semantics vs profile semantics. guix shell --profile could go either way.

Another way to look at it is that I this sequence of 3 commands very useful (so might others). They clearly have something to do with guix profiles, and they spawn a new shell. Thus I thought guix shell --profile was the perfect place for them. You claim they do not belong there. Is there a better place you would suggest?